<?php
// $Id$

/**
 * Extends the core storage class to contain parameters specific to this component.
 */
class playoutStorage extends storage {

	/**
	 * Automatically loads core and component storage parameters.
	 */
	public function __construct() {
		// Loads up core storage tables and fields.
		parent::__construct();

		// Define names of the table(s) and fields storing data for this component.

		$this->table_playout_client = TABLE_PREFIX."playout_client";
		$this->playout_client_id = "id";
		$this->playout_client_name = "name";
		$this->playout_client_defaults = "defaults";

		$this->table_playout_install = TABLE_PREFIX."playout_install";
		$this->playout_install_id = "id";
		$this->playout_install_client = "client";
		$this->playout_install_name = "name";
		$this->playout_install_params = "params";

	}
}
?>